import React, {Component, Fragment} from 'react'
import {Form, Input, Select, Row, Col, Button, notification, DatePicker,Steps,Affix,Breadcrumb,Icon} from 'antd'
import FetStore from './FetStore'
import FetopnTab1 from './FetopnTab1'
import FetopnTab2 from './FetopnTab2'

import { observer } from "mobx-react"

const Step = Steps.Step;

const store = new FetStore()
@observer
export default class Fetopn extends Component{
    
    renderChild(code)
    {
        if(code == '概况')
            return <FetopnTab2 store={store}/>
        if(code == '账务明细')
            return <FetopnTab2 store={store}/>
    }
    render()
    {
        return <React.Fragment>
                
                <Row>
                    <Col span={20}>
                        
                            <Breadcrumb>
                                <Breadcrumb.Item><Icon type="form" />结售汇</Breadcrumb.Item>
                                <Breadcrumb.Item>{store.steps[store.current]}</Breadcrumb.Item>
                            </Breadcrumb>
                        
                        {this.renderChild(store.steps[store.current])}
                    </Col>
                    <Col span={4}>
                        <Affix offsetTop={100}>
                            <Steps size="small" current={store.current} direction="vertical">
                                {
                                    store.steps.map((item,index)=>{
                                        return <Step title={item} key={index} />
                                    })
                                }
                            </Steps>
                        </Affix>
                    </Col>
                </Row>
                
            </React.Fragment>
    }
}